Skip to content

End a campaign

Request

OAuth 2.0 scope:
  • okta.governance.accessCertifications.manage
Admin roles:
  • ACCESS_CERTIFICATIONS_ADMIN

Ends a campaign before its scheduled end date (from scheduleSettings).

This operation closes any open reviews and prevents any further review activity, such as decisions or reassignments. Reviews associated with the campaign are remediated, if the remediation setting for the campaign is set.

Only campaigns with a status of ACTIVE can be completed. A valid end operation transitions a campaign to a status of COMPLETED. Attempting this operation with campaigns in any other status yields a 409 Conflict response indicating the state of the campaign is incompatible with the end campaign operation.

Note: This operation is optional. Typically, campaigns are completed automatically according to the campaign's schedule settings scheduleSettings.

Path
campaignIdstringrequired

Unique identifier for the campaign

Bodyapplication/json

Ends a campaign with the option to skip remediation.

skipRemediationboolean

Set the Boolean variable to true to skip remediation in cases where remediationSetting.noResponse=DENY.

POST
/governance/api/v1/campaigns/{campaignId}/end
curl -i -X POST \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/campaigns/{campaignId}/end' \
  -H 'Content-Type: application/json' \
  -d '{
    "skipRemediation": false
  }'

Responses

A successful campaign complete response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Locationstringrequired

Location of the campaign that was completed.

If the campaign that was completed has the RECURRING schedule type, then the location that's returned provides the completed campaign.

Response
No content